"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importStar(require("express"));
const cors_1 = __importDefault(require("cors"));
require("express-async-errors");
const dbConnection_1 = require("./config/dbConnection");
const express_rate_limit_1 = __importDefault(require("express-rate-limit"));
const beerRouter_1 = require("./routes/beerRouter");
const errorMiddleware_1 = require("./middleware/errorMiddleware");
const userRouter_1 = require("./routes/userRouter");
require("dotenv/config");
(0, dbConnection_1.connectDB)();
const app = (0, express_1.default)();
app.use((0, cors_1.default)({
    origin: 'http://localhost:3000'
    // origin: 'https://beercatalog.networkmanager.pl'
}));
app.use((0, express_1.json)());
app.use(express_1.default.urlencoded({ extended: false }));
app.use((0, express_rate_limit_1.default)({
    windowMs: 5 * 60 * 1000,
    max: 100, // Limit each IP to 100 requests per `window` (here, per 15 minutes)
}));
const router = (0, express_1.Router)();
router.use('/beers', beerRouter_1.beerRouter);
router.use('/users', userRouter_1.userRouter);
app.use('/api', router);
app.use(errorMiddleware_1.handleError);
app.listen(process.env.PORT, () => console.log(`Server started http://localhost:${process.env.PORT}`));
//# sourceMappingURL=index.js.map