"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = exports.ValidationError = void 0;
class ValidationError extends Error {
}
exports.ValidationError = ValidationError;
const handleError = (err, req, res, next) => {
    const statusCode = res.statusCode ? res.statusCode : 500;
    res.status(statusCode);
    res.json({
        message: err instanceof ValidationError ? err.message : 'Sorry, please try again later.',
        stack: process.env.NODE_ENV === 'production' ? null : err.stack,
    });
};
exports.handleError = handleError;
//# sourceMappingURL=errorMiddleware.js.map