"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Beer = void 0;
const mongoose_1 = require("mongoose");
// Create a Schema corresponding to the document interface
const beerModel = new mongoose_1.Schema({
    user: { type: mongoose_1.Schema.Types.ObjectId, required: true, ref: 'User' },
    createdBy: { type: String, required: true, ref: 'User' },
    name: { type: String, required: true, maxLength: 100 },
    type: { type: String, required: true, maxLength: 50 },
    rating: { type: Number, required: true, maxLength: 2 },
    alcohol: { type: Number, required: true, maxLength: 3 },
    description: { type: String, required: true, maxLength: 1000 },
    avatar: { type: String, required: false, maxLength: 200 }
}, {
    timestamps: true,
});
// Create a Model
exports.Beer = (0, mongoose_1.model)('Beer', beerModel);
//# sourceMappingURL=beerModel.js.map