"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.beerRouter = void 0;
const express_1 = require("express");
const beerController_1 = require("../controllers/beerController");
const authMiddleware_1 = require("../middleware/authMiddleware");
exports.beerRouter = (0, express_1.Router)()
    .get('/', beerController_1.getBeers)
    .get('/userbeers', authMiddleware_1.protect, beerController_1.userBeers)
    .post('/', authMiddleware_1.protect, beerController_1.createBeer)
    .put('/:id', authMiddleware_1.protect, beerController_1.updateBeer)
    .delete('/:id', authMiddleware_1.protect, beerController_1.deleteBeer);
//# sourceMappingURL=beerRouter.js.map