"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userRouter = void 0;
const express_1 = require("express");
const userController_1 = require("../controllers/userController");
const authMiddleware_1 = require("../middleware/authMiddleware");
exports.userRouter = (0, express_1.Router)()
    .post('/register', userController_1.registerUser)
    .post('/login', userController_1.loginUser)
    .post('/logout', authMiddleware_1.protect, userController_1.logoutUser)
    .get('/me', authMiddleware_1.protect, userController_1.getMe);
//# sourceMappingURL=userRouter.js.map